# Uses of Interface
org.eclipse.emf.spi.cdo.CDOPermissionUpdater

Packages that use CDOPermissionUpdater
Package
Description
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOPermissionUpdater in org.eclipse.emf.cdo.session

Methods in org.eclipse.emf.cdo.session that return CDOPermissionUpdater
Modifier and Type
Method
Description
`CDOPermissionUpdater`
CDOSession.Options.`getPermissionUpdater()`
Returns the `permission updater` currently being used by this session.
Methods in org.eclipse.emf.cdo.session with parameters of type CDOPermissionUpdater
Modifier and Type
Method
Description
`void`
CDOSession.Options.`setPermissionUpdater(CDOPermissionUpdater permissionUpdater)`
Sets the `permission updater` to be used by this session.

## Uses of CDOPermissionUpdater in org.eclipse.emf.spi.cdo

Subinterfaces of CDOPermissionUpdater in org.eclipse.emf.spi.cdo
Modifier and Type
Interface
Description
`interface`
`CDOPermissionUpdater2`
A `permission updater` that can take a `commit info` into account.
`interface`
`CDOPermissionUpdater3`
A `permission updater` that takes the `security context` into account.
Fields in org.eclipse.emf.spi.cdo declared as CDOPermissionUpdater
Modifier and Type
Field
Description
`static final CDOPermissionUpdater`
CDOPermissionUpdater.`SERVER`